# module Raven::Rails::ControllerTransaction

### Public Class Methods

included(base) click to toggle source

    # File sentry-raven/lib/raven/integrations/rails/controller_transaction.rb, line 4
    def self.included(base)
      base.prepend_around_action do |controller, block|
        Raven.context.transaction.push "#{controller.class}##{controller.action_name}"
        block.call
        Raven.context.transaction.pop
      end
    end